| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# LocalFileFormatTarget Class Reference

Inheritance diagram for LocalFileFormatTarget:

[legend]
Collaboration diagram for LocalFileFormatTarget:

[legend]
List of all members.

## Public Methods

virtual void | writeChars (const XMLByte *const toWrite, const unsigned int count, XMLFormatter *const formatter)
virtual void | flush ()
constructors and destructor
| LocalFileFormatTarget (const XMLCh *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| LocalFileFormatTarget (const char *const, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| ~LocalFileFormatTarget ()

## Constructor & Destructor Documentation

LocalFileFormatTarget::LocalFileFormatTarget | ( | const XMLCh * | const,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

LocalFileFormatTarget::LocalFileFormatTarget | ( | const char * | const,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

LocalFileFormatTarget::~LocalFileFormatTarget | ( |  | ) |

## Member Function Documentation

virtual void LocalFileFormatTarget::flush | ( |  | ) | `[virtual]`

| Reimplemented from XMLFormatTarget.

virtual void LocalFileFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const unsigned int | count,
|  | XMLFormatter *const | formatter
| ) | `[virtual]`

| Implements XMLFormatTarget.

The documentation for this class was generated from the following file:

- LocalFileFormatTarget.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.